[kde-workspace] 4.9.90 (4.10 beta2)

Rex Dieter rdieter at fedoraproject.org
Mon Dec 3 23:24:49 UTC 2012


commit c96a5f8f7fd501c7c261706fa2f63d9ac53ce87e
Author: Rex Dieter <rdieter at math.unl.edu>
Date:   Mon Dec 3 17:24:56 2012 -0600

    4.9.90 (4.10 beta2)

 .gitignore                                         |    2 +-
 ...Re-apply-minute-hand-caching-optimization.patch |   30 ----
 ...-dont-accidentally-trigger-the-last-match.patch |   41 -----
 kde-workspace-4.8.97-redhat_startkde.patch         |   63 --------
 kde-workspace-4.9.2-fontconfigdir.patch            |   32 ----
 kde-workspace-4.9.90-kscreenlocker_rename.patch    |    9 +
 kde-workspace-4.9.90-plasma_konsole.patch          |   78 +++++++++
 kde-workspace-4.9.90-redhat_startkde.patch         |  167 ++++++++++++++++++++
 kde-workspace.spec                                 |   81 +++-------
 kdebase-workspace-4.5.0-plasma-konsole.patch       |   80 ----------
 kdebase-workspace-4.5.2-startkde_zenity.patch      |   70 --------
 kdebase-workspace-4.6.90-font.patch                |   52 ------
 sources                                            |    2 +-
 13 files changed, 280 insertions(+), 427 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index ef7a90d..4859c61 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,3 @@
 /kde-workspace-4.8.5.tar.xz
-/kde-workspace-4.9.3.tar.xz
 /kde-workspace-4.9.4.tar.xz
+/kde-workspace-4.9.90.tar.xz
diff --git a/kde-workspace-4.9.90-kscreenlocker_rename.patch b/kde-workspace-4.9.90-kscreenlocker_rename.patch
new file mode 100644
index 0000000..6b68508
--- /dev/null
+++ b/kde-workspace-4.9.90-kscreenlocker_rename.patch
@@ -0,0 +1,9 @@
+diff -up kde-workspace-4.9.90/ksmserver/screenlocker/CMakeLists.txt.kscreenlocker_rename kde-workspace-4.9.90/ksmserver/screenlocker/CMakeLists.txt
+--- kde-workspace-4.9.90/ksmserver/screenlocker/CMakeLists.txt.kscreenlocker_rename	2012-11-14 10:06:18.000000000 -0600
++++ kde-workspace-4.9.90/ksmserver/screenlocker/CMakeLists.txt	2012-12-03 16:45:24.987934352 -0600
+@@ -31,4 +31,4 @@ target_link_libraries(screenlocker_stati
+ # Needed to compile on Arm target.
+ set_target_properties(screenlocker_static PROPERTIES COMPILE_FLAGS "-fPIC")
+ 
+-install(FILES kscreenlocker.notifyrc  DESTINATION ${DATA_INSTALL_DIR}/ksmserver/ksmserver.notifyrc)
++install(FILES kscreenlocker.notifyrc  DESTINATION ${DATA_INSTALL_DIR}/ksmserver/ RENAME ksmserver.notifyrc)
diff --git a/kde-workspace-4.9.90-plasma_konsole.patch b/kde-workspace-4.9.90-plasma_konsole.patch
new file mode 100644
index 0000000..5e5a49b
--- /dev/null
+++ b/kde-workspace-4.9.90-plasma_konsole.patch
@@ -0,0 +1,78 @@
+diff -up kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.cpp.plasma-konsole kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.cpp
+--- kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.cpp.plasma-konsole	2012-11-14 10:06:18.000000000 -0600
++++ kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.cpp	2012-12-03 17:01:20.403223435 -0600
+@@ -30,6 +30,7 @@
+ #include <KDebug>
+ #include <KIcon>
+ #include <KMenu>
++#include <ktoolinvocation.h>
+ 
+ #include <Plasma/Containment>
+ #include <Plasma/Corona>
+@@ -46,6 +47,7 @@
+ 
+ ContextMenu::ContextMenu(QObject *parent, const QVariantList &args)
+     : Plasma::ContainmentActions(parent, args),
++      m_runKonsoleAction(0),
+       m_runCommandAction(0),
+       m_lockScreenAction(0),
+       m_logoutAction(0),
+@@ -74,7 +76,7 @@ void ContextMenu::init(const KConfigGrou
+         m_actionOrder << "add widgets" << "_add panel" << "lock widgets" << "_context" << "remove";
+     } else {
+         actions.insert("configure shortcuts", false);
+-        m_actionOrder << "_context" << "_run_command" << "add widgets" << "_add panel"
++        m_actionOrder << "_context" << "_run_konsole" << "_run_command" << "add widgets" << "_add panel"
+                       << "manage activities" << "remove" << "lock widgets" << "_sep1"
+                       <<"_lock_screen" << "_logout" << "_sep2" << "configure"
+                       << "configure shortcuts" << "_sep3" << "_wallpaper";
+@@ -96,6 +98,10 @@ void ContextMenu::init(const KConfigGrou
+         c->containmentType() == Plasma::Containment::CustomPanelContainment) {
+         //FIXME: panel does its own config action atm...
+     } else if (!m_runCommandAction) {
++        m_runKonsoleAction = new QAction(i18n("Konsole"), this);
++        m_runKonsoleAction->setIcon(KIcon("utilities-terminal"));
++        connect(m_runKonsoleAction, SIGNAL(triggered(bool)), this, SLOT(runKonsole()));
++
+         m_runCommandAction = new QAction(i18n("Run Command..."), this);
+         m_runCommandAction->setIcon(KIcon("system-run"));
+         connect(m_runCommandAction, SIGNAL(triggered(bool)), this, SLOT(runCommand()));
+@@ -168,6 +174,8 @@ QAction *ContextMenu::action(const QStri
+         if (c->corona() && c->corona()->immutability() == Plasma::Mutable) {
+             return c->corona()->action("add panel");
+         }
++    } else if (name == "_run_konsole") {
++        return m_runKonsoleAction;
+     } else if (name == "_run_command") {
+         if (KAuthorized::authorizeKAction("run_command")) {
+             return m_runCommandAction;
+@@ -191,6 +199,11 @@ QAction *ContextMenu::action(const QStri
+     return 0;
+ }
+ 
++void ContextMenu::runKonsole()
++{
++    KToolInvocation::invokeTerminal(QString(), QDir::homePath());
++}
++
+ void ContextMenu::runCommand()
+ {
+     if (!KAuthorized::authorizeKAction("run_command")) {
+diff -up kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.h.plasma-konsole kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.h
+--- kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.h.plasma-konsole	2012-11-14 10:06:18.000000000 -0600
++++ kde-workspace-4.9.90/plasma/generic/containmentactions/contextmenu/menu.h	2012-12-03 16:59:09.172842770 -0600
+@@ -41,12 +41,14 @@ public:
+     void save(KConfigGroup &config);
+ 
+ public slots:
++    void runKonsole();
+     void runCommand();
+     void lockScreen();
+     void startLogout();
+     void logout();
+ 
+ private:
++    QAction *m_runKonsoleAction;
+     QAction *m_runCommandAction;
+     QAction *m_lockScreenAction;
+     QAction *m_logoutAction;
diff --git a/kde-workspace-4.9.90-redhat_startkde.patch b/kde-workspace-4.9.90-redhat_startkde.patch
new file mode 100644
index 0000000..844e6d3
--- /dev/null
+++ b/kde-workspace-4.9.90-redhat_startkde.patch
@@ -0,0 +1,167 @@
+diff -up kde-workspace-4.9.90/startkde.cmake.redhat_startkde kde-workspace-4.9.90/startkde.cmake
+--- kde-workspace-4.9.90/startkde.cmake.redhat_startkde	2012-11-14 10:06:18.000000000 -0600
++++ kde-workspace-4.9.90/startkde.cmake	2012-12-03 15:49:27.680713315 -0600
+@@ -16,28 +16,20 @@ trap 'echo GOT SIGHUP' HUP
+ # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
+ unset DYLD_FORCE_FLAT_NAMESPACE
+ 
+-# in case we have been started with full pathname spec without being in PATH
+-bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
+-if [ -n "$bindir" ]; then
+-  qbindir=`$bindir/kde4-config --qt-binaries`
+-  if [ -n "$qbindir" ]; then
+-    case $PATH in
+-      $qbindir|$qbindir:*|*:$qbindir|*:$qbindir:*) ;;
+-      *) PATH=$qbindir:$PATH; export PATH;;
+-    esac
+-  fi
+-  case $PATH in
+-    $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
+-    *) PATH=$bindir:$PATH; export PATH;;
+-  esac
+-fi
++# See http://bugzilla.redhat.com/537609 , a naive attempt to drop dep 
++# on xmessage and allow alternatives like zenity.  
++message() {
++  xmessage -geometry 500x100 "$1" > /dev/null 2>/dev/null || \
++    zenity --info --text="$1" > /dev/null 2>/dev/null ||:
++  return $?
++}
+ 
+ # Check if a KDE session already is running and whether it's possible to connect to X
+ kcheckrunning
+ kcheckrunning_result=$?
+ if test $kcheckrunning_result -eq 0 ; then
+ 	echo "KDE seems to be already running on this display."
+-	xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
++	message -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
+ 	exit 1
+ elif test $kcheckrunning_result -eq 2 ; then
+ 	echo "\$DISPLAY is not set or cannot connect to the X server."
+@@ -81,11 +73,19 @@ krandrrc [Screen2]
+ krandrrc [Screen3]
+ kcmfonts General forceFontDPI 0
+ kdeglobals Locale Language '' # trigger requesting languages from KLocale
++kdeglobals Locale Country ''
+ EOF
++# read the default KSplash theme to use out of kde-settings
++if [ -e /usr/share/kde-settings/kde-profile/default/share/config/ksplashrc ]
++  then eval `grep '^Theme=' /usr/share/kde-settings/kde-profile/default/share/config/ksplashrc`
++       if [ -n "$Theme" ]
++         then sed -i -e "s/Default/$Theme/g" $kdehome/share/config/startupconfigkeys
++       fi
++fi
+ kstartupconfig4
+ returncode=$?
+ if test $returncode -ne 0; then
+-    xmessage -geometry 500x100 "kstartupconfig4 does not exist or fails. The error code is $returncode. Check your installation."
++    message "kstartupconfig4 does not exist or fails. The error code is $returncode. Check your installation."
+     exit 1
+ fi
+ [ -r $kdehome/share/config/startupconfig ] && . $kdehome/share/config/startupconfig
+@@ -159,8 +159,9 @@ fi
+ # better use the Autostart folder.
+ 
+ libpath=`kde4-config --path lib | tr : '\n'`
++envpath=/etc/kde/env/
+ 
+-for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/env/,p'`; do
++for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/env/,p'` $envpath ; do
+   for file in "$prefix"*.sh; do
+     test -r "$file" && . "$file"
+   done
+@@ -170,48 +171,6 @@ done
+ QT_PLUGIN_PATH=${QT_PLUGIN_PATH+$QT_PLUGIN_PATH:}`kde4-config --path qtplugins`
+ export QT_PLUGIN_PATH
+ 
+-# Activate the kde font directories.
+-#
+-# There are 4 directories that may be used for supplying fonts for KDE.
+-#
+-# There are two system directories. These belong to the administrator.
+-# There are two user directories, where the user may add her own fonts.
+-#
+-# The 'override' versions are for fonts that should come first in the list,
+-# i.e. if you have a font in your 'override' directory, it will be used in
+-# preference to any other.
+-#
+-# The preference order looks like this:
+-# user override, system override, X, user, system
+-#
+-# Where X is the original font database that was set up before this script
+-# runs.
+-
+-usr_odir=$HOME/.fonts/kde-override
+-usr_fdir=$HOME/.fonts
+-
+-if test -n "$KDEDIRS"; then
+-  kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`
+-  sys_odir=$kdedirs_first/share/fonts/override
+-  sys_fdir=$kdedirs_first/share/fonts
+-else
+-  sys_odir=$KDEDIR/share/fonts/override
+-  sys_fdir=$KDEDIR/share/fonts
+-fi
+-
+-# We run mkfontdir on the user's font dirs (if we have permission) to pick
+-# up any new fonts they may have installed. If mkfontdir fails, we still
+-# add the user's dirs to the font path, as they might simply have been made
+-# read-only by the administrator, for whatever reason.
+-
+-test -d "$sys_odir" && xset +fp "$sys_odir"
+-test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")
+-test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")
+-test -d "$sys_fdir" && xset fp+ "$sys_fdir"
+-
+-# Ask X11 to rebuild its font list.
+-xset fp rehash
+-
+ # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
+ # from some users that they're confused and don't know what to do. This is
+ # especially necessary on slow machines, where starting KDE takes one or two
+@@ -250,7 +209,7 @@ for resource in tmp cache socket; do
+     else
+         echo 'startkde: Call to lnusertemp failed (temporary directories full?). Check your installation.'  1>&2
+         test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-        xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
++        message "Call to lnusertemp failed (temporary directories full?). Check your installation."
+         exit 1
+     fi
+ done
+@@ -274,7 +233,7 @@ if qdbus >/dev/null 2>/dev/null; then
+ else
+     echo 'startkde: Could not start D-Bus. Can you call qdbus?'  1>&2
+     test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-    xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
++    message "Could not start D-Bus. Can you call qdbus?"
+     exit 1
+ fi
+ 
+@@ -319,7 +278,7 @@ if test $? -ne 0; then
+   # Startup error
+   echo 'startkde: Could not start kdeinit4. Check your installation.'  1>&2
+   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-  xmessage -geometry 500x100 "Could not start kdeinit4. Check your installation."
++  message "Could not start kdeinit4. Check your installation."
+   exit 1
+ fi
+ 
+@@ -343,7 +302,7 @@ if test $? -eq 255; then
+   # Startup error
+   echo 'startkde: Could not start ksmserver. Check your installation.'  1>&2
+   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-  xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
++  message "Could not start ksmserver. Check your installation."
+ fi
+ 
+ # wait if there's any crashhandler shown
+@@ -364,7 +323,8 @@ kde3 dcopserver_shutdown --wait 2>/dev/n
+ echo 'startkde: Running shutdown scripts...'  1>&2
+ 
+ # Run scripts found in $KDEDIRS/shutdown
+-for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/shutdown/,p'`; do
++shutdownpath=/etc/kde/shutdown/
++for prefix in `echo "$libpath" | sed -n -e 's,/lib[^/]*/,/shutdown/,p'` $shutdownpath; do
+   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
+     test -x "$prefix$file" && "$prefix$file"
+   done
diff --git a/kde-workspace.spec b/kde-workspace.spec
index b86e845..2af3bf6 100644
--- a/kde-workspace.spec
+++ b/kde-workspace.spec
@@ -2,15 +2,9 @@
 %define gpsd 1
 %endif
 
-%if 0%{?fedora} > 16 || 0%{?rhel} > 6
-%define systemd 1
-%else
-%define consolekit 1
-%endif
-
 Summary: KDE Workspace
 Name:    kde-workspace
-Version: 4.9.4
+Version: 4.9.90
 Release: 1%{?dist}
 
 License: GPLv2
@@ -21,15 +15,14 @@ URL:     https://projects.kde.org/projects/kde/kde-workspace
 %else
 %global stable stable
 %endif
-Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/kde-workspace-%{version}.tar.xz
-BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+Source0: http://download.kde.org/%{stable}/%{version}/src/kde-workspace-%{version}.tar.xz
 
 # RH/Fedora-specific startkde changes
-Patch1: kde-workspace-4.8.97-redhat_startkde.patch
+Patch1: kde-workspace-4.9.90-redhat_startkde.patch
 
 # add konsole menuitem
 # FIXME?  only show menu when/if konsole is installed? then we can drop the hard-dep
-Patch2: kdebase-workspace-4.5.0-plasma-konsole.patch
+Patch2: kde-workspace-4.9.90-plasma_konsole.patch
 Requires: konsole
 
 # 441062: packagekit tools do not show icons correctly on KDE
@@ -41,9 +34,6 @@ Patch8: kdebase-workspace-4.2.85-klipper-url.patch
 # 434824: KDE4 System Settings - No Method To Enter Administrative Mode
 Patch9: kdebase-workspace-4.4.90-rootprivs.patch
 
-# drop useless kde font directories
-Patch11: kdebase-workspace-4.6.90-font.patch
-
 # no klipper action on selection for Arora browser
 Patch14: kdebase-workspace-4.2.0-klipper-arora.patch
 
@@ -66,9 +56,6 @@ Patch20: kdebase-workspace-4.4.92-xsession_errors_O_APPEND.patch
 # support the widgetStyle4 hack in the Qt KDE platform plugin
 Patch21: kdebase-workspace-4.3.98-platformplugin-widgetstyle4.patch
 
-# drop hard dep on xorg-x11-apps (for xmessage), http://bugzilla.redhat.com/537609
-Patch23: kdebase-workspace-4.5.2-startkde_zenity.patch 
-
 # multilib QT_PLUGIN_PATH, http://bugzilla.redhat.com/704840
 Patch24: kdebase-workspace-4.6.90-multilib_qt_plugin_path.patch
 
@@ -102,6 +89,9 @@ Patch52: kde-workspace-4.8.2-bz#732830-login.patch
 # http://bugs.kde.org/242065
 Patch53: kde-workspace-4.7.95-kdm_xauth.patch
 
+# fix CMakeLists.txt for renaming kscreenlocker.notifyrc to ksmserver.notifyrc
+Patch54: kde-workspace-4.9.90-kscreenlocker_rename.patch
+
 # pam/systemd bogosity: kdm restart/shutdown does not work 
 # http://bugzilla.redhat.com/796969
 Patch57: kde-workspace-4.8.0-bug796969.patch
@@ -109,18 +99,11 @@ Patch57: kde-workspace-4.8.0-bug796969.patch
 # initial systemd support
 Patch58: kde-workspace-4.8.0-systemd-shutdown.patch
 
-# fontconfig-2.10+, support $XDG_CONFIG_HOME/fontconfig/fonts.conf
-# https://bugs.kde.org/show_bug.cgi?id=304317
-# based-on http://svnweb.mageia.org/packages/cauldron/kdebase4-workspace/current/SOURCES/kdebase-workspace-4.9.0-fontconfigdir.patch
-Patch59: kde-workspace-4.9.2-fontconfigdir.patch
-
 # Support for switching users with systemd - #859347
 Patch60: kde-workspace-4.9.2-systemd-switch-user.patch
 Patch61: kde-workspace-4.9.2-systemd-switch-user2.patch
 
 ## upstream patches
-Patch106: 0006-Re-apply-minute-hand-caching-optimization.patch
-Patch111: 0011-Revert-dont-accidentally-trigger-the-last-match.patch
 
 ## plasma active patches
 
@@ -139,9 +122,6 @@ Patch300: kde-workspace-4.8.3-webkit.patch
 Obsoletes: kdebase-workspace < 4.7.97-10
 Provides:  kdebase-workspace = %{version}-%{release}
 
-# kinfocenter moved kdebase-4.4 -> kdebase-workspace-4.5
-Conflicts: kdebase < 6:4.4.80
-
 Requires: polkit-kde
 
 %if ! 0%{?akonadi_subpkg}
@@ -235,12 +215,6 @@ Requires: dbus-x11
 #Requires: xorg-x11-apps
 Requires: xorg-x11-utils
 Requires: xorg-x11-server-utils
-%if 0%{?consolekit}
-BuildRequires: pkgconfig(ck-connector)
-# for shutdown/restart support without KDM (and KDM requires this anyway)
-# (works around #788171)
-Requires: ConsoleKit
-%endif
 
 %define default_face_icon default1.png
 Requires: kde-settings-ksplash
@@ -312,10 +286,6 @@ Provides: service(graphical-login) = kdm
 Requires: kgreeter-plugins = %{version}-%{release}
 Requires: libkworkspace%{?_isa} =  %{version}-%{release}
 Requires: kde-settings-kdm
-%if 0%{?consolekit}
-# prevent "Cannot open ConsoleKit session" when logging in (#787855)
-Requires: ConsoleKit-x11
-%endif
 %description -n kdm
 KDM provides the graphical login screen, shown shortly after boot up,
 log out, and when user switching.
@@ -429,18 +399,17 @@ Requires: akonadi
 %patch1 -p1 -b .redhat_startkde
 # Well, I looked at doing this using the context menu plugin system and it
 # looked like a lot more work than this simple patch to me. -- Kevin
+# FIXME/REBASE -- rex
 %patch2 -p1 -b .plasma-konsole
 %patch7 -p1 -b .krdb
 %patch8 -p1 -b .klipper-url
 %patch9 -p1 -b .rootprivs
-%patch11 -p1 -b .font
 %patch15 -p1 -b .kio_sysinfo
 %patch16 -p1 -b .showremainingtime
 %patch17 -p1 -b .classicmenu-logout
 %patch19 -p1 -b .kdm_plymouth
 %patch20 -p1 -b .xsession_errors_O_APPEND
 %patch21 -p1 -b .platformplugin-widgetstyle4
-%patch23 -p1 -b .startkde_zenity
 %patch24 -p1 -b .multilib_qt_plugin_path
 %patch25 -p1 -b .bz#747982-launchers
 %patch26 -p1 -b .systray_ktp_presence
@@ -451,15 +420,13 @@ Requires: akonadi
 %patch51 -p1 -b .add_apper_to_kickoff_favorites
 %patch52 -p1 -b .bz#732830-login
 %patch53 -p1 -b .kdm_xauth
+%patch54 -p1 -b .kscreenlocker_rename
 %patch57 -p1 -b .bug796969
 %patch58 -p1 -b .systemd-shutdown
-%patch59 -p1 -b .fontconfigdir
 %patch60 -p1 -b .systemd-switch-user
 %patch61 -p0 -b .systemd-switch-user2
 
 # upstream patches
-%patch106 -p1 -b .0006
-%patch111 -p1 -b .0011
 
 # plasma-active
 
@@ -483,8 +450,8 @@ pushd %{_target_platform}
   -DKDE4_KDM_PAM_SERVICE=kdm \
   -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
   -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
-  %{?systemd:-DKWORKSPACE_USE_SYSTEMD:BOOL=ON} \
-  %{?systemd:-DPOWERDEVIL_USE_SYSTEMD:BOOL=ON} \
+  -DKWORKSPACE_USE_SYSTEMD:BOOL=ON \
+  -DPOWERDEVIL_USE_SYSTEMD:BOOL=ON \
   ..
 popd
 
@@ -578,10 +545,6 @@ fi
 %{_kde4_bindir}/plasma-netbook
 %{_kde4_bindir}/plasma-overlay
 %{_kde4_bindir}/plasma-windowed
-%{_kde4_bindir}/plasmaengineexplorer
-%{_kde4_bindir}/plasmoidviewer
-%{_kde4_bindir}/plasmawallpaperviewer
-%{_kde4_bindir}/remote-widgets-browser
 %{_kde4_bindir}/solid-action-desktop-gen
 %{_kde4_bindir}/solid-network
 %{_kde4_bindir}/startkde
@@ -594,6 +557,7 @@ fi
 %{_kde4_appsdir}/kcmkeyboard/
 %{_kde4_appsdir}/kcmkeys/
 %{_kde4_appsdir}/kcmsolidactions/
+%{_kde4_appsdir}/kcmstyle/
 %{_kde4_appsdir}/kcmusb/
 %ifnarch s390 s390x
 %{_kde4_appsdir}/kcmview1394/
@@ -604,8 +568,9 @@ fi
 %{_kde4_appsdir}/khotkeys/
 %{_kde4_appsdir}/kinfocenter/
 %{_kde4_appsdir}/kmenuedit/
-%{_kde4_appsdir}/kscreenlocker/
 %dir %{_kde4_appsdir}/ksmserver/
+%{_kde4_appsdir}/ksmserver/ksmserver.notifyrc
+%{_kde4_appsdir}/ksmserver/screenlocker/
 %dir %{_kde4_appsdir}/ksmserver/themes/
 %{_kde4_appsdir}/ksmserver/themes/contour/
 %{_kde4_appsdir}/ksmserver/themes/default/
@@ -631,12 +596,13 @@ fi
 %{_kde4_configdir}/aurorae.knsrc
 %{_kde4_configdir}/background.knsrc
 %{_kde4_configdir}/ksplash.knsrc
+%{_kde4_configdir}/kwineffect.knsrc
+%{_kde4_configdir}/kwinscripts.knsrc
+%{_kde4_configdir}/kwinswitcher.knsrc
 %{_kde4_configdir}/plasma-overlayrc
 %{_kde4_configdir}/plasma-themes.knsrc
 %{_kde4_configdir}/wallpaper.knsrc
 %{_kde4_configdir}/xcursor.knsrc
-%{_kde4_configdir}/kwinscripts.knsrc
-%{_kde4_configdir}/kwinswitcher.knsrc
 
 %{_kde4_datadir}/kde4/services/*
 %exclude %{_kde4_datadir}/kde4/services/kdm.desktop
@@ -651,12 +617,12 @@ fi
 %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
 %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmkdm.conf
 %{_sysconfdir}/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
-%{_datadir}/dbus-1/interfaces/org.freedesktop.ScreenSaver.xml
+%{_datadir}/dbus-1/interfaces/com.canonical.AppMenu.Registrar.xml
+%{_datadir}/dbus-1/interfaces/org.kde.kded.appmenu.xml
 %{_datadir}/dbus-1/interfaces/org.kde.KSMServerInterface.xml
 %{_datadir}/dbus-1/interfaces/org.kde.KWin.xml
 %{_datadir}/dbus-1/interfaces/org.kde.khotkeys.xml
 %{_datadir}/dbus-1/interfaces/org.kde.krunner.App.xml
-%{_datadir}/dbus-1/interfaces/org.kde.screensaver.xml
 %{_datadir}/dbus-1/services/org.kde.fontinst.service
 %{_datadir}/dbus-1/services/org.kde.krunner.service
 %{_datadir}/dbus-1/system-services/org.kde.fontinst.service
@@ -678,6 +644,7 @@ fi
 %{_kde4_libdir}/kde4/classic_mode.so
 %{_kde4_libdir}/kde4/devinfo.so
 %{_kde4_libdir}/kde4/icon_mode.so
+%{_kde4_libdir}/kde4/imports/org/kde/kwin/
 %{_kde4_libdir}/kde4/ion_*.so
 %{_kde4_libdir}/kde4/kcm_*.so
 %exclude %{_kde4_libdir}/kde4/kcm_colors.so
@@ -690,11 +657,9 @@ fi
 %{_kde4_libdir}/kde4/kwin3_b2.so
 %{_kde4_libdir}/kde4/kwin3_laptop.so
 %{_kde4_libdir}/kde4/kwin3_oxygen.so
-%{_kde4_libdir}/kde4/kwin3_plastik.so
 %{_kde4_libdir}/kde4/kwin4_effect_builtins.so
 %{_kde4_libdir}/kde4/kwin_b2_config.so
 %{_kde4_libdir}/kde4/kwin_oxygen_config.so
-%{_kde4_libdir}/kde4/kwin_plastik_config.so
 %{_kde4_libdir}/kde4/plasma_animator_default.so
 %{_kde4_libdir}/kde4/plasma_applet_*.so
 %{_kde4_libdir}/kde4/plasma_containmentactions_*.so
@@ -719,7 +684,7 @@ fi
 %{_kde4_libexecdir}/kcmdatetimehelper
 %{_kde4_libexecdir}/kcmkdmhelper
 %{_kde4_libexecdir}/krootimage
-%{_kde4_libexecdir}/kscreenlocker
+%{_kde4_libexecdir}/kscreenlocker_greet
 %{_kde4_libexecdir}/kwin_killer_helper
 %{_kde4_libexecdir}/kwin_opengl_test
 %{_kde4_libexecdir}/kwin_rules_dialog
@@ -740,7 +705,6 @@ fi
 %{_kde4_libdir}/libpowerdevilconfigcommonprivate.so
 %{_kde4_libdir}/libsystemsettingsview.so
 %{_kde4_libdir}/kconf_update_bin/*
-%{_mandir}/man1/plasm*.1*
 %if 0%{?googlegadgets}
 # googlegadgets
 %exclude %{_kde4_libdir}/kde4/plasma_package_ggl.so
@@ -1009,6 +973,9 @@ fi
 
 
 %changelog
+* Mon Dec 03 2012 Rex Dieter <rdieter at fedoraproject.org> 4.9.90-1
+- 4.9.90 (4.10 beta2)
+
 * Mon Dec 03 2012 Than Ngo <than at redhat.com> - 4.9.4-1
 - 4.9.4
 
diff --git a/sources b/sources
index 06c1b4b..658e497 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-b26cc75639cada6de8c96ee752c0291b  kde-workspace-4.9.4.tar.xz
+adb521ea30341498822d30c3d5ada96c  kde-workspace-4.9.90.tar.xz


More information about the scm-commits mailing list